[Overview][Types][Classes][Index] | Reference for unit 'Toolwin' (#lcl)

# TToolWindow.AdjustClientRect

Adjusts the client rectangle when borders are drawn for the control.

## Declaration

Source position: toolwin.pp line 63

`protected procedure TToolWindow.AdjustClientRect(`
`var ARect: TRect`
`); override;`

## Arguments

`ARect` |  | Client rectangle for the control.

## Description

AdjustClientRect is a procedure used to adjust the specified client rectangle when borders are drawn for the control. AdjustClientRect ensures that the client rectangle is increased in size according to values in EdgeBorders and the drawing styles in EdgeOuter and EdgeInner.

## See also

TToolWindow.EdgeBorders |  | Indicates the edges to be drawn with a border on the control.
TToolWindow.EdgeOuter |  | Specifies the drawing style used for the outer border of the control.
TToolWindow.EdgeInner |  | Specifies the drawing style used for the inner border of the control.